module DeskDraw
	MODE_NONE = 0;
	MODE_DRAW = 1;
	
	VK_TAB = 0x09
	VK_CLEAR = 0x0C
	VK_RETURN = 0x0D
	VK_SHIFT = 0x10
	VK_CONTROL = 0x11
	VK_MENU = 0x12
	VK_PAUSE = 0x13
	VK_CAPITAL = 0x14
	VK_KANA = 0x15
	VK_JUNJA = 0x17
	VK_FINAL = 0x18
	VK_HANJA = 0x19
	VK_KANJI = 0x19
	VK_ESCAPE = 0x1B
	VK_CONVERT = 0x1C
	VK_NONCONVERT = 0x1D
	VK_SPACE = 0x20
	VK_PRIOR = 0x21
	VK_NEXT = 0x22
	VK_END = 0x23
	VK_HOME = 0x24
	VK_LEFT = 0x25
	VK_UP = 0x26
	VK_RIGHT = 0x27
	VK_DOWN = 0x28
	VK_DELETE = 0x2E
	VK_LWIN = 0x5B
	VK_RWIN = 0x5C
	VK_F1 = 0x70
	VK_F2 = 0x71
	VK_F3 = 0x72
	VK_F4 = 0x73
	VK_F5 = 0x74
	VK_F6 = 0x75
	VK_F7 = 0x76
	VK_F8 = 0x77
	VK_F9 = 0x78
	VK_F10 = 0x79
	VK_F11 = 0x7A
	VK_F12 = 0x7B


	
	def SwitchMode(mode)
		if mode == MODE_NONE then print "Ȃ[hɕύX\n"; end
		if mode == MODE_DRAW then print "G`[hɕύX\n"; end
		return true;
	end
	module_function :SwitchMode;
	
	def GetMode()
		print "GetMode\n";
		return 0;
	end
	module_function :GetMode;
	
	def SetEventHandler(handler)
		p handler;
		print "EventHandlerɐݒ\n";
		$event_handler = handler;
		return true;
	end
	module_function :SetEventHandler;
	
	def IsKeyDown(key)
		print "IsKeyDown, key = " + String(key) + "\n";
		return true;
	end
	module_function :IsKeyDown;
	
	def Quit()
		print "I܂D";
	end
	module_function :Quit;
	
	def Invalidate()
		print "Invalidate\n";
	end
	module_function :Invalidate;
	
	
	class Canvas
		PS_SOLID = 0;
		PS_DASH = 1;
		PS_DOT = 2;
		def DrawLine(left,top,right,bottom)
			print "(" + String(left) + "," + String(top) + ")  (" + String(right) + "," + String(bottom) + ") ɐ\n";
			return true;
		end
		
		def Undo()
			print "蒼\n";
			return true;
		end
		
		def Redo()
			print "蒼̂蒼\n";
			return true;
		end
		
		def AddUndoChain()
			print "݂̏Ԃ蒼ɒǉ\n";
			return true;
		end
		
		def SetWindow()
			print "̃LoX`Ώۂɂ\n"
			return true;
		end
		
		def SetLineStyle(red,green,blue,width,style)
			print "̃X^C̕ύXFRGB = (" + String(red) + "," + String(green) + "," + String(blue) + ")C = " + String(width) + "CX^C = " + String(style) + "\n";
		end
		
		def SetFont(name,height,red,green,blue);
			print "tHg̕ύXFRGB = (" + String(red) + "," + String(green) + "," + String(blue) + ")C = " + String(height) + "CO = " + name + "\n";
		end
		
		def SetFillColor(red,green,blue)
			print "SetFillColorFRGB = (" + String(red) + "," + String(green) + "," + String(blue) + ")\n";
		end
		
		def GetWidth()
			print "GetWidth\n";
			return 1024;
		end
		
		def GetHeight()
			print "GetHeight\n";
			return 768;
		end
	end
	
	class Menu
		def Add(id,parent,str)
			print "\\u" + str + "vCidu" + id + "ṽj[eu" + parent + "vɒǉ\n";
			return true;
		end
		
		def Clear()
			print "j[NA\n";
			return true;
		end
		
		def CreatePopupMenu(x,y)
			print "(" + String(x) + "," + String(y) + ") Ƀj[쐬\n";
			return true;
		end
	end
	
	class TextBox
		def IsCreated()
			print "IsCreated\n";
			return true;
		end
		
		def SetText(str)
			print "TextBoxu" + str + "vɐݒ\n";
		end
		
		def GetText()
			print "TextBox.GetText\n";
			return "aaaa";
		end
		
		def Destroy()
			print "TextBox.Destroy\n";
		end
		
		def SetSize(left,top,right,bottom)
			print "TextBox.SetSize, left = " + String(left) + ", top = " + String(top) + ", right = " + String(right) + ", bottom = " + String(bottom) + ".\n";
		end
		
		def SetEventHandler(handler)
			print "TextBoxEventHandler"
			p handler
			print "ɐݒ";
		end
	end
end


