#include "stdafx.h"
#include <ruby.h>
#include "Ruby.h"
#include "MainWnd.h"
#include <ablib/lexical_cast.h>
#include "Setting.h"

extern MainWnd g_MainWnd;
extern Setting g_Setting;
VALUE g_EventHandler = Qnil;//ǁ[Ⴂ낤cc

Ruby::Ruby(){
	int argc = 2;char **argv;
	::NtInitialize(&argc,&argv);
	::ruby_init();
//	::ruby_prog_init();
	::ruby_init_loadpath();
	RubyInit();
}

Ruby::~Ruby(){
#ifdef NDEBUG
	::ruby_finalize();
#endif
}

void Ruby::RubyInit(){

	::rb_eval_string("$KCODE = 'SJIS'");

	m_Deskdrawmodule = ::rb_define_module(_T("DeskDraw"));
	
	::rb_define_module_function(m_Deskdrawmodule,_T("SwitchMode"),(RUBY_FUNC)(Main_SwitchMode),1);
	::rb_define_module_function(m_Deskdrawmodule,_T("GetMode"),(RUBY_FUNC)(Main_GetMode),0);
	::rb_define_module_function(m_Deskdrawmodule,_T("SetEventHandler"),(RUBY_FUNC)(Main_SetEventHandler),1);
	::rb_define_module_function(m_Deskdrawmodule,_T("IsKeyDown"),(RUBY_FUNC)(Main_IsKeyDown),1);
	::rb_define_module_function(m_Deskdrawmodule,_T("Quit"),(RUBY_FUNC)(Main_Quit),0);
	::rb_define_module_function(m_Deskdrawmodule,_T("Invalidate"),(RUBY_FUNC)(Main_Invalidate),0);
	::rb_define_const(m_Deskdrawmodule,_T("MODE_NONE"),INT2NUM(MainWnd::mode_none));
	::rb_define_const(m_Deskdrawmodule,_T("MODE_DRAW"),INT2NUM(MainWnd::mode_draw));
	::rb_define_const(m_Deskdrawmodule,_T("VK_TAB"),INT2NUM(VK_TAB));
	::rb_define_const(m_Deskdrawmodule,_T("VK_CLEAR"),INT2NUM(VK_CLEAR));
	::rb_define_const(m_Deskdrawmodule,_T("VK_RETURN"),INT2NUM(VK_RETURN));
	::rb_define_const(m_Deskdrawmodule,_T("VK_SHIFT"),INT2NUM(VK_SHIFT));
	::rb_define_const(m_Deskdrawmodule,_T("VK_CONTROL"),INT2NUM(VK_CONTROL));
	::rb_define_const(m_Deskdrawmodule,_T("VK_MENU"),INT2NUM(VK_MENU));
	::rb_define_const(m_Deskdrawmodule,_T("VK_PAUSE"),INT2NUM(VK_PAUSE));
	::rb_define_const(m_Deskdrawmodule,_T("VK_CAPITAL"),INT2NUM(VK_CAPITAL));
	::rb_define_const(m_Deskdrawmodule,_T("VK_JUNJA"),INT2NUM(VK_JUNJA));
	::rb_define_const(m_Deskdrawmodule,_T("VK_FINAL"),INT2NUM(VK_FINAL));
	::rb_define_const(m_Deskdrawmodule,_T("VK_HANJA"),INT2NUM(VK_HANJA));
	::rb_define_const(m_Deskdrawmodule,_T("VK_KANJI"),INT2NUM(VK_KANJI));
	::rb_define_const(m_Deskdrawmodule,_T("VK_ESCAPE"),INT2NUM(VK_ESCAPE));
	::rb_define_const(m_Deskdrawmodule,_T("VK_CONVERT"),INT2NUM(VK_CONVERT));
	::rb_define_const(m_Deskdrawmodule,_T("VK_NONCONVERT"),INT2NUM(VK_NONCONVERT));
	::rb_define_const(m_Deskdrawmodule,_T("VK_SPACE"),INT2NUM(VK_SPACE));
	::rb_define_const(m_Deskdrawmodule,_T("VK_PRIOR"),INT2NUM(VK_PRIOR));
	::rb_define_const(m_Deskdrawmodule,_T("VK_NEXT"),INT2NUM(VK_NEXT));
	::rb_define_const(m_Deskdrawmodule,_T("VK_END"),INT2NUM(VK_END));
	::rb_define_const(m_Deskdrawmodule,_T("VK_HOME"),INT2NUM(VK_HOME));
	::rb_define_const(m_Deskdrawmodule,_T("VK_LEFT"),INT2NUM(VK_LEFT));
	::rb_define_const(m_Deskdrawmodule,_T("VK_UP"),INT2NUM(VK_UP));
	::rb_define_const(m_Deskdrawmodule,_T("VK_RIGHT"),INT2NUM(VK_RIGHT));
	::rb_define_const(m_Deskdrawmodule,_T("VK_DOWN"),INT2NUM(VK_DOWN));
	::rb_define_const(m_Deskdrawmodule,_T("VK_DELETE"),INT2NUM(VK_DELETE));
	::rb_define_const(m_Deskdrawmodule,_T("VK_LWIN"),INT2NUM(VK_LWIN));
	::rb_define_const(m_Deskdrawmodule,_T("VK_RWIN"),INT2NUM(VK_RWIN));
	::rb_define_const(m_Deskdrawmodule,_T("VK_F1"),INT2NUM(VK_F1));
	::rb_define_const(m_Deskdrawmodule,_T("VK_F2"),INT2NUM(VK_F2));
	::rb_define_const(m_Deskdrawmodule,_T("VK_F3"),INT2NUM(VK_F3));
	::rb_define_const(m_Deskdrawmodule,_T("VK_F4"),INT2NUM(VK_F4));
	::rb_define_const(m_Deskdrawmodule,_T("VK_F5"),INT2NUM(VK_F5));
	::rb_define_const(m_Deskdrawmodule,_T("VK_F6"),INT2NUM(VK_F6));
	::rb_define_const(m_Deskdrawmodule,_T("VK_F7"),INT2NUM(VK_F7));
	::rb_define_const(m_Deskdrawmodule,_T("VK_F8"),INT2NUM(VK_F8));
	::rb_define_const(m_Deskdrawmodule,_T("VK_F9"),INT2NUM(VK_F9));
	::rb_define_const(m_Deskdrawmodule,_T("VK_F10"),INT2NUM(VK_F10));
	::rb_define_const(m_Deskdrawmodule,_T("VK_F11"),INT2NUM(VK_F11));
	::rb_define_const(m_Deskdrawmodule,_T("VK_F12"),INT2NUM(VK_F12));

	VALUE Canvas_class = ::rb_define_class_under(m_Deskdrawmodule,_T("Canvas"),rb_cObject);
	::rb_define_singleton_method(Canvas_class,_T("new"),(RUBY_FUNC)(Canvas_new),0);
	::rb_define_method(Canvas_class,_T("DrawLine"),(RUBY_FUNC)(Canvas_DrawLine),4);
	::rb_define_method(Canvas_class,_T("WriteText"),(RUBY_FUNC)(Canvas_WriteText),3);
	::rb_define_method(Canvas_class,_T("FillRect"),(RUBY_FUNC)(Canvas_FillRect),4);
	::rb_define_method(Canvas_class,_T("Undo"),(RUBY_FUNC)(Canvas_Undo),0);
	::rb_define_method(Canvas_class,_T("Redo"),(RUBY_FUNC)(Canvas_Redo),0);
	::rb_define_method(Canvas_class,_T("AddUndoChain"),(RUBY_FUNC)(Canvas_AddUndoChain),0);
	::rb_define_method(Canvas_class,_T("SetWindow"),(RUBY_FUNC)(Canvas_SetWindow),0);
	::rb_define_method(Canvas_class,_T("SetLineStyle"),(RUBY_FUNC)(Canvas_SetLineStyle),5);
	::rb_define_method(Canvas_class,_T("SetFont"),(RUBY_FUNC)(Canvas_SetFont),5);
	::rb_define_method(Canvas_class,_T("SetFillColor"),(RUBY_FUNC)(Canvas_SetFillColor),3);
	::rb_define_method(Canvas_class,_T("GetWidth"),(RUBY_FUNC)(Canvas_GetWidth),0);
	::rb_define_method(Canvas_class,_T("GetHeight"),(RUBY_FUNC)(Canvas_GetHeight),0);
	::rb_define_const(Canvas_class,_T("PS_SOLID"),INT2NUM(PS_SOLID));
	::rb_define_const(Canvas_class,_T("PS_DOT"),INT2NUM(PS_DOT));
	::rb_define_const(Canvas_class,_T("PS_DASH"),INT2NUM(PS_DASH));

	VALUE Menu_class = ::rb_define_class_under(m_Deskdrawmodule,_T("Menu"),rb_cObject);
	::rb_define_singleton_method(Menu_class,_T("new"),(RUBY_FUNC)(Menu_new),0);
	::rb_define_method(Menu_class,_T("Add"),(RUBY_FUNC)(Menu_Add),3);
	::rb_define_method(Menu_class,_T("CreatePopupMenu"),(RUBY_FUNC)(Menu_CreatePopupMenu),2);
	::rb_define_method(Menu_class,_T("Clear"),(RUBY_FUNC)(Menu_Clear),0);

	VALUE TextBox_class = ::rb_define_class_under(m_Deskdrawmodule,_T("TextBox"),rb_cObject);
	::rb_define_singleton_method(TextBox_class,_T("new"),(RUBY_FUNC)(TextBox_new),4);
	::rb_define_method(TextBox_class,_T("IsCreated"),(RUBY_FUNC)(TextBox_IsCreated),0);
	::rb_define_method(TextBox_class,_T("SetText"),(RUBY_FUNC)(TextBox_SetText),1);
	::rb_define_method(TextBox_class,_T("GetText"),(RUBY_FUNC)(TextBox_GetText),0);
	::rb_define_method(TextBox_class,_T("Destroy"),(RUBY_FUNC)(TextBox_Destroy),0);
	::rb_define_method(TextBox_class,_T("SetSize"),(RUBY_FUNC)(TextBox_SetSize),4);
	::rb_define_method(TextBox_class,_T("SetEventHandler"),(RUBY_FUNC)(TextBox_SetEventHandler),1);


	::rb_global_variable(&g_EventHandler);
	
}

bool Ruby::Load(const TCHAR *file){
//	::ruby_finalize();
//	RubyInit();
	int state;
	::rb_load_protect(::rb_str_new2(file),0,&state);
	if(state != 0){
		g_Setting.Log(ablib::string(file) + _T("̃[hɎsDstate = ") + ablib::lexical_cast<ablib::string>(state) + _T("\nerror_info : ") + GetErrorInfo());
	}
	return state == 0;
}

VALUE Ruby::Main_SwitchMode(VALUE self,VALUE mode){
	g_MainWnd.SwitchMode(static_cast<MainWnd::mode>(NUM2INT(mode)));
	return Qtrue;
}

VALUE Ruby::Main_SetEventHandler(VALUE self,VALUE klass){
	g_EventHandler = klass;
	return Qtrue;
}

VALUE Ruby::Main_GetMode(VALUE self){
	return INT2NUM(g_MainWnd.GetMode());
}

VALUE Ruby::Main_Quit(VALUE self){
	g_MainWnd.GetWindow()->Destroy();
	return Qtrue;
}

VALUE Ruby::Main_IsKeyDown(VALUE self, VALUE key){
	return ::GetKeyState(NUM2INT(key)) < 0 ? Qtrue : Qfalse;
}

VALUE Ruby::Main_Invalidate(){
	g_MainWnd.Invalidate();
	return Qtrue;
}

bool Ruby::Event_OnRButtonDown(int x,int y,bool isDClick){
	OnMouseArg orbda;
	orbda.x = INT2NUM(x);orbda.y = INT2NUM(y);orbda.isDClick = isDClick ? Qtrue : Qfalse;
	int state;
	VALUE rv = ::rb_protect(sEvent_OnRButtonDown,reinterpret_cast<VALUE>(&orbda),&state);
	if(state != 0){
		g_Setting.Log(_T("OnRButtonDownŗODstate = ") + ablib::lexical_cast<ablib::string>(state) + _T("\nerror_info : ") + GetErrorInfo());
		return false;
	}
	return (rv == Qtrue ? true : false);
}

VALUE Ruby::sEvent_OnRButtonDown(VALUE val){
	OnMouseArg *onrbdarg = reinterpret_cast<OnMouseArg*>(val);
	return ::rb_funcall(g_EventHandler,::rb_intern(_T("OnRButtonDown")),3,onrbdarg->x,onrbdarg->y,onrbdarg->isDClick);
}

bool Ruby::Event_OnLButtonDown(int x,int y,bool isDclick){
	OnMouseArg arg;
	arg.x = INT2NUM(x);arg.y = INT2NUM(y);arg.isDClick = isDclick ? Qtrue : Qfalse;
	int state;
	VALUE rv = ::rb_protect(sEvent_OnLButtonDown,reinterpret_cast<VALUE>(&arg),&state);
	if(state != 0){
		g_Setting.Log(_T("OnLButtonDownŗODstate = ") + ablib::lexical_cast<ablib::string>(state) + _T("\nerror_info : ") + GetErrorInfo());
		return false;
	}
	return (rv == Qtrue ? true : false);
}

VALUE Ruby::sEvent_OnLButtonDown(VALUE val){
	OnMouseArg *ondownarg = reinterpret_cast<OnMouseArg*>(val);
	return ::rb_funcall(g_EventHandler,::rb_intern(_T("OnLButtonDown")),3,ondownarg->x,ondownarg->y,ondownarg->isDClick);
}

bool Ruby::Event_OnLButtonUp(int x,int y){
	OnMouseArg arg;
	arg.x = INT2NUM(x);arg.y = INT2NUM(y);
	int state;
	VALUE rv = ::rb_protect(sEvent_OnLButtonUp,reinterpret_cast<VALUE>(&arg),&state);
	if(state != 0){
		g_Setting.Log(_T("OnLButtonUpŗODstate = ") + ablib::lexical_cast<ablib::string>(state) + _T("\nerror_info : ") + GetErrorInfo());
		return false;
	}
	return (rv == Qtrue ? true : false);
}

VALUE Ruby::sEvent_OnLButtonUp(VALUE val){
	OnMouseArg *arg = reinterpret_cast<OnMouseArg*>(val);
	return ::rb_funcall(g_EventHandler,::rb_intern(_T("OnLButtonUp")),2,arg->x,arg->y);
}

bool Ruby::Event_OnMouseMove(int x,int y){
	OnMouseArg arg;
	arg.x = INT2NUM(x);arg.y = INT2NUM(y);
	int state;
	VALUE rv = ::rb_protect(sEvent_OnMouseMove,reinterpret_cast<VALUE>(&arg),&state);
	if(state != 0){
		g_Setting.Log(_T("OnMouseMoveŗODstate = ") + ablib::lexical_cast<ablib::string>(state) + _T("\nerror_info : ") + GetErrorInfo());
		return false;
	}
	return (rv == Qtrue ? true : false);
}

VALUE Ruby::sEvent_OnMouseMove(VALUE val){
	OnMouseArg *arg = reinterpret_cast<OnMouseArg*>(val);
	return ::rb_funcall(g_EventHandler,::rb_intern(_T("OnMouseMove")),2,arg->x,arg->y);
}



bool Ruby::Event_OnKeyDown(UINT key){
	int state;
	VALUE rv = ::rb_protect(sEvent_OnKeyDown,INT2NUM(key),&state);
	if(state != 0){
		g_Setting.Log(_T("OnKeyDownŗODstate = ") + ablib::lexical_cast<ablib::string>(state) + _T("\nerror_info : ") + GetErrorInfo());
		return false;
	}
	return (rv != Qfalse ? true : false);
}

VALUE Ruby::sEvent_OnKeyDown(VALUE key){
	return ::rb_funcall(g_EventHandler,::rb_intern(_T("OnKeyDown")),1,key);
}

bool Ruby::Event_OnKeyUp(UINT key){
	int state;
	VALUE rv = ::rb_protect(sEvent_OnKeyUp,INT2NUM(key),&state);
	if(state != 0){
		g_Setting.Log(_T("OnKeyUpŗODstate = ") + ablib::lexical_cast<ablib::string>(state) + _T("\nerror_info : ") + GetErrorInfo());
		return false;
	}
	return (rv != Qfalse ? true : false);
}

VALUE Ruby::sEvent_OnKeyUp(VALUE key){
	return ::rb_funcall(g_EventHandler,::rb_intern(_T("OnKeyUp")),1,key);
}

VALUE Ruby::Menu_new(VALUE self){
	Ruby_Menu *menu;
	VALUE obj = Data_Make_Struct(self,Ruby_Menu,NULL,Menu_free,menu);
	menu->menu_impl = new Ruby_Menu_Impl(g_MainWnd.GetWindow());
	return obj;
}

void Ruby::Menu_free(Ruby_Menu *self){
	delete self->menu_impl;
	::free(self);
}

VALUE Ruby::Menu_Clear(VALUE self){
	Ruby_Menu *menu;
	Data_Get_Struct(self,Ruby_Menu,menu);
	menu->menu_impl->menu.Clear();
	menu->menu_impl->m_int2str.clear();
	menu->menu_impl->m_str2int.clear();
	return Qtrue;
}

VALUE Ruby::Menu_Add(VALUE self, VALUE id, VALUE parent, VALUE str){
	Ruby_Menu *menu;
	Data_Get_Struct(self,Ruby_Menu,menu);
	if(TYPE(id) != T_STRING || TYPE(parent) != T_STRING || TYPE(str) != T_STRING)return Qfalse;
	if(::lstrcmp(StringValuePtr(parent),_T("")) == 0){
		// [gj[
		if(::lstrcmp(StringValuePtr(id),_T("")) == 0){
			menu->menu_impl->menu.AddRootMenu(0,StringValuePtr(str));
			return Qtrue;
		}else{
			if(menu->menu_impl->m_str2int.find(StringValuePtr(id)) != menu->menu_impl->m_str2int.end())return Qfalse;
			menu->menu_impl->menu.AddRootMenu(menu->menu_impl->m_int2str.size(),StringValuePtr(str));
			menu->menu_impl->m_str2int[StringValuePtr(id)] = menu->menu_impl->m_int2str.size();
			menu->menu_impl->m_int2str.push_back(StringValuePtr(id));
			return Qtrue;
		}
	}else{
		if(menu->menu_impl->m_str2int.find(StringValuePtr(parent)) == menu->menu_impl->m_str2int.end())return Qfalse;
		if(::lstrcmp(StringValuePtr(id),_T("")) == 0){
			menu->menu_impl->menu.AddMenu(menu->menu_impl->m_str2int[StringValuePtr(parent)],0,StringValuePtr(str));
			return Qtrue;
		}else{
			if(menu->menu_impl->m_str2int.find(StringValuePtr(id)) != menu->menu_impl->m_str2int.end())return Qfalse;
			menu->menu_impl->menu.AddMenu(menu->menu_impl->m_str2int[StringValuePtr(parent)],menu->menu_impl->m_int2str.size(),StringValuePtr(str));
			menu->menu_impl->m_str2int[StringValuePtr(id)] = menu->menu_impl->m_int2str.size();
			menu->menu_impl->m_int2str.push_back(StringValuePtr(id));
			return Qtrue;
		}
	}
}

VALUE Ruby::Menu_CreatePopupMenu(VALUE self, VALUE x, VALUE y){
	Ruby_Menu *menu;
	Data_Get_Struct(self,Ruby_Menu,menu);
	return ::rb_str_new2(menu->menu_impl->m_int2str[menu->menu_impl->menu.CreatePopupMenu(ablib::window::Point(NUM2INT(x),NUM2INT(y)))].c_str());
}

VALUE Ruby::Canvas_new(VALUE self){
	Ruby_Canvas *can;
	VALUE obj = Data_Make_Struct(self,Ruby_Canvas,NULL,Canvas_free,can);
	HDC hdc = ::GetDC(g_MainWnd.GetHWND());
	int x = ::GetSystemMetrics(SM_CXSCREEN);
	int y = ::GetSystemMetrics(SM_CYSCREEN);
	can->canvas = new Canvas(hdc,x,y);
	::ReleaseDC(g_MainWnd.GetHWND(),hdc);
	return obj;
}

void Ruby::Canvas_free(Ruby_Canvas *can){
	delete can->canvas;
	::free(can);
}

VALUE Ruby::Canvas_DrawLine(VALUE self,VALUE left,VALUE top,VALUE right,VALUE bottom){
	Ruby_Canvas *can;
	Data_Get_Struct(self,Ruby_Canvas,can);
	can->canvas->DrawLine(
		ablib::window::Point(NUM2INT(left),NUM2INT(top)),
		ablib::window::Point(NUM2INT(right),NUM2INT(bottom)));
	return Qtrue;
}

VALUE Ruby::Canvas_WriteText(VALUE self, VALUE x, VALUE y, VALUE str){
	if(TYPE(str) != T_STRING)return Qfalse;
	Ruby_Canvas *can;
	Data_Get_Struct(self,Ruby_Canvas,can);
	can->canvas->WriteText(
		ablib::window::Point(NUM2INT(x),NUM2INT(y)),StringValuePtr(str));
	return Qtrue;
}

VALUE Ruby::Canvas_FillRect(VALUE self, VALUE left, VALUE top, VALUE right, VALUE bottom){
	Ruby_Canvas *can;
	Data_Get_Struct(self,Ruby_Canvas,can);
	can->canvas->FillRect(
		ablib::window::Rect(NUM2INT(left),NUM2INT(top),NUM2INT(right),NUM2INT(bottom)));
	return Qtrue;
}

VALUE Ruby::Canvas_Undo(VALUE self){
	Ruby_Canvas *can;
	Data_Get_Struct(self,Ruby_Canvas,can);
	return can->canvas->Undo() ? Qtrue : Qfalse;
}

VALUE Ruby::Canvas_Redo(VALUE self){
	Ruby_Canvas *can;
	Data_Get_Struct(self,Ruby_Canvas,can);
	return can->canvas->Redo() ? Qtrue : Qfalse;
}

VALUE Ruby::Canvas_AddUndoChain(VALUE self){
	Ruby_Canvas *can;
	Data_Get_Struct(self,Ruby_Canvas,can);
	can->canvas->AddUndoChain();
	return Qtrue;
}

VALUE Ruby::Canvas_SetWindow(VALUE self){
	Ruby_Canvas *can;
	Data_Get_Struct(self,Ruby_Canvas,can);
	g_MainWnd.SetCanvas(can->canvas);
	return Qtrue;
}

VALUE Ruby::Canvas_SetLineStyle(VALUE self, VALUE red, VALUE green, VALUE blue, VALUE width, VALUE style){
	Ruby_Canvas *can;
	Data_Get_Struct(self,Ruby_Canvas,can);
	can->canvas->SetLineStyle(
		ablib::window::rgb(NUM2INT(red),NUM2INT(green),NUM2INT(blue)),
		NUM2INT(width),static_cast<ablib::window::Window::linetype>(NUM2INT(style)));
	return Qtrue;
}

VALUE Ruby::Canvas_SetFont(VALUE self, VALUE name, VALUE size, VALUE red, VALUE green, VALUE blue){
	if(TYPE(name) != T_STRING)return Qfalse;
	Ruby_Canvas *can;
	Data_Get_Struct(self,Ruby_Canvas,can);
	can->canvas->SetFont(::StringValuePtr(name),NUM2INT(size),NUM2INT(red),NUM2INT(green),NUM2INT(blue));
	return Qtrue;
}

VALUE Ruby::Canvas_SetFillColor(VALUE self, VALUE red, VALUE green, VALUE blue){
	Ruby_Canvas *can;
	Data_Get_Struct(self,Ruby_Canvas,can);
	can->canvas->SetFillColor(ablib::window::rgb(NUM2INT(red),NUM2INT(green),NUM2INT(blue)));
	return Qtrue;
}

VALUE Ruby::Canvas_GetWidth(VALUE self){
	Ruby_Canvas *can;
	Data_Get_Struct(self,Ruby_Canvas,can);
	return INT2NUM(can->canvas->GetWidth());
}

VALUE Ruby::Canvas_GetHeight(VALUE self){
	Ruby_Canvas *can;
	Data_Get_Struct(self,Ruby_Canvas,can);
	return INT2NUM(can->canvas->GetHeight());
}

VALUE Ruby::TextBox_new(VALUE self, VALUE left, VALUE top, VALUE right, VALUE bottom){
	Ruby_TextBox *textbox;
	VALUE obj = Data_Make_Struct(self,Ruby_TextBox,TextBox_mark,TextBox_free,textbox);
	textbox->textbox = new TextBox(NUM2INT(left),NUM2INT(top),NUM2INT(right),NUM2INT(bottom));
	return obj;
}

void Ruby::TextBox_free(Ruby::Ruby_TextBox *self){
	delete self->textbox;
	::free(self);
}

void Ruby::TextBox_mark(Ruby::Ruby_TextBox *self){
	::rb_gc_mark(self->textbox->m_handler);
}

VALUE Ruby::TextBox_IsCreated(VALUE self){
	Ruby_TextBox *text;
	Data_Get_Struct(self,Ruby_TextBox,text);
	return text->textbox->IsCreated() ? Qtrue : Qfalse;
}

VALUE Ruby::TextBox_Destroy(VALUE self){
	Ruby_TextBox *text;
	Data_Get_Struct(self,Ruby_TextBox,text);
	text->textbox->Destroy();
	return Qtrue;
}

VALUE Ruby::TextBox_GetText(VALUE self){
	Ruby_TextBox *text;
	Data_Get_Struct(self,Ruby_TextBox,text);
	return ::rb_str_new2(text->textbox->GetText().c_str());
}

VALUE Ruby::TextBox_SetSize(VALUE self,VALUE left, VALUE top, VALUE right, VALUE bottom){
	Ruby_TextBox *text;
	Data_Get_Struct(self,Ruby_TextBox,text);
	text->textbox->SetSize(NUM2INT(left),NUM2INT(top),NUM2INT(right),NUM2INT(bottom));
	return Qtrue;
}

VALUE Ruby::TextBox_SetEventHandler(VALUE self, VALUE handler){
	Ruby_TextBox *text;
	Data_Get_Struct(self,Ruby_TextBox,text);
	text->textbox->SetEventHandler(handler);
	return Qtrue;
}

VALUE Ruby::TextBox_SetText(VALUE self, VALUE str){
	if(TYPE(str) != T_STRING)return Qfalse;
	Ruby_TextBox *text;
	Data_Get_Struct(self,Ruby_TextBox,text);
	text->textbox->SetText(::StringValuePtr(str));
	return Qtrue;
}

VALUE Ruby::sEvent_TextBox_OnKeyDown(VALUE val){
	ClassOnKeyArg *arg = reinterpret_cast<ClassOnKeyArg*>(val);
	return ::rb_funcall(arg->handler,::rb_intern(_T("OnKeyDown")),1,arg->key);
}

bool Ruby::Event_TextBox_OnKeyDown(VALUE handler, UINT key){
	ClassOnKeyArg arg;
	arg.handler = handler;arg.key = INT2NUM(key);
	int state;
	VALUE rv = ::rb_protect(sEvent_TextBox_OnKeyDown,reinterpret_cast<VALUE>(&arg),&state);
	if(state != 0)return false;
	return rv == Qtrue ? true : false;
}

VALUE Ruby::sEvent_TextBox_OnKeyUp(VALUE val){
	ClassOnKeyArg *arg = reinterpret_cast<ClassOnKeyArg*>(val);
	return ::rb_funcall(arg->handler,::rb_intern(_T("OnKeyUp")),1,arg->key);
}

bool Ruby::Event_TextBox_OnKeyUp(VALUE handler, UINT key){
	ClassOnKeyArg arg;
	arg.handler = handler;arg.key = INT2NUM(key);
	int state;
	VALUE rv = ::rb_protect(sEvent_TextBox_OnKeyUp,reinterpret_cast<VALUE>(&arg),&state);
	if(state != 0)return false;
	return rv == Qtrue ? true : false;
}

VALUE Ruby::sEvent_TextBox_OnChar(VALUE val){
	ClassOnCharArg *arg = reinterpret_cast<ClassOnCharArg*>(val);
	return ::rb_funcall(arg->handler,::rb_intern(_T("OnChar")),1,arg->key);
}

bool Ruby::Event_TextBox_OnChar(VALUE handler, TCHAR key){
	ClassOnCharArg arg;
	arg.handler = handler;arg.key = INT2NUM(key);
	int state;
	VALUE rv = ::rb_protect(sEvent_TextBox_OnChar,reinterpret_cast<VALUE>(&arg),&state);
	if(state != 0)return false;
	return rv == Qtrue ? true : false;
}

ablib::string Ruby::GetErrorInfo(){
	int state;
	VALUE rv = ::rb_protect(sGetErrorInfo,Qnil,&state);
	if(state == 0 && TYPE(rv) == T_STRING)return ablib::string(StringValuePtr(rv));
	else return _T("");
}

VALUE Ruby::sGetErrorInfo(VALUE module){
	return rb_funcall(ruby_errinfo,rb_intern(_T("to_s")),0);
}



